Bug 196847 - (php-pear-PHPUnit2) Review Request: php-pear-PHPUnit2 - PEAR: Regression testing framework for unit tests
Review Request: php-pear-PHPUnit2 - PEAR: Regression testing framework for un...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On: php-pear-Log php-pecl-xdebug 196802 php-pear-Benchmark
  Show dependency treegraph
Reported: 2006-06-27 03:49 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-11 16:45:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
logfile from rpmbuild (1.53 KB, text/plain)
2006-08-31 04:57 EDT, Daniel Rindt
no flags Details

  None (edit)
Description Christopher Stone 2006-06-27 03:49:02 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-PHPUnit2.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-PHPUnit2-2.3.6-1.src.rpm

PHPUnit is a family of PEAR packages (PHPUnit2 for PHP 5, PHPUnit for PHP 4)
that supports the development of object-oriented PHP applications using the
concepts and methods of Agile Software Development, Extreme Programming,
Test-Driven Development and Design-by-Contract Development by providing an
elegant and robust framework for the creation, execution and analysis of
Unit Tests.
Comment 1 Daniel Rindt 2006-08-31 04:57:57 EDT
Created attachment 135268 [details]
logfile from rpmbuild
Comment 2 Daniel Rindt 2006-08-31 04:58:32 EDT
grant me some questions: why it is necessary to build these package as root? and
why is the install method through rpm, instead of using pear?

ok, the way by rpm is even ok and it is possibly better way to avoid obsolete
files in the filesystem. but the build of that package is only possible as root.

attached is a logfile of the buildprocess, unfortunatelly it did not build.
Comment 3 Remi Collet 2006-09-02 04:22:28 EDT
Daniel, Build failed because you didn't use the latest php-pear (1.4.9-1.2 on
fc5) with /etc/rpm/macros.pear.
Comment 4 Jason Tibbitts 2006-09-09 20:36:50 EDT
I'll go ahead and review this one, but I'll leave the other version of this
package alone because frankly I don't think it's a terribly good idea to include
multiple versions in the same repository in that manner.  It's up to you how you
do version upgrades; if the new version is that much better or more useful and
isn't unstable then I'd just upgrade to it immediately.
Comment 5 Christopher Stone 2006-09-09 20:42:38 EDT
please review the alpha version if you are just going to review one.  This one
is not important to me, the alpha version one I need in FE.
Comment 6 Jason Tibbitts 2006-09-11 15:25:09 EDT
I'm going to go ahead and approve this.  If you want to update to the alpha
version, or someone else wants to approve the -alpha package, then that's fine
with me.

* source files match upstream:
   95fe5e8dbb36462dd4d3f3daf8a4e8b3  PHPUnit2-2.3.6.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text is included in each source file.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent (except for the bogus warning)
* final provides and requires are sane:
   php-pear(PHPUnit2) = 2.3.6
   php-pear-PHPUnit2 = 2.3.6-1.fc6
   php >= 5.0.2
* %check is not present; not possible to run the test suite.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.


Note You need to log in before you can comment on or make changes to this bug.